import { ElementRef } from '@angular/core';
export declare class NumericOnlyDirective {
    private el;
    private regex;
    private specialKeys;
    constructor(el: ElementRef);
    onKeyDown(event: KeyboardEvent): void;
}
